Устраняем ошибку rvm при установке новой версии Ruby

При попытке установить новую версию Ruby, а именно 2.7 я получил ошибку RVM -

Unknown ruby string (do not know how to handle): ruby-2.7.
Вот полный вывод из моего терминала:
rvm install ruby-2.7

Warning, new version of rvm available '1.29.10', you are using older version '1.29.7'.You can disable this warning with:    echo rvm_autoupdate_flag=0 >> ~/.rvmrcYou can enable  auto-update  with:    echo rvm_autoupdate_flag=2 >> ~/.rvmrcUnknown ruby string (do not know how to handle): ruby-2.7.Unknown ruby string (do not know how to handle): ruby-2.7.Searching for binary rubies, this might take some time.No binary rubies available for: osx/10.15/x86_64/ruby-2.7.Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.Checking requirements for osx.Certificates bundle '/usr/local/etc/[email protected]/cert.pem' is already up to date.Requirements installation successful.Unknown ruby string (do not know how to handle): ruby-2.7.Installing Ruby from source to: /Users/user/.rvm/rubies/ruby-2.7, this may take a while depending on your cpu(s)...Unknown ruby string (do not know how to handle): ruby-2.7.ruby-2.7 - #downloading ruby-2.7, this may take a while depending on your connection...  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current                                 Dload  Upload   Total   Spent    Left  Speed  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0curl: (22) The requested URL returned error: 404 The requested url does not exist(22): 'https://cache.ruby-lang.org/pub/ruby/2.7/ruby-2.7.tar.bz2'Checking fallback: https://ftp.ruby-lang.org/pub/ruby/2.7/ruby-2.7.tar.bz2No fallback URL could be found, try increasing timeout with:
    echo "export rvm_max_time_flag=20" >> ~/.rvmrc
There has been an error fetching the ruby interpreter. Halting the installation.

Чтобы понять в чем дело (довольно очевидно, что нужно обновить rvm, чтобы дать знать о новой версии ruby) сначала выполняем команду rvm known list чтобы удостовериться в том, что rvm не знает о существовании ruby-2.7.
...
[ruby-]2.4[.5]
[ruby-]2.5[.3]
[ruby-]2.6[.0]
ruby-head
...

Чтобы обновить RVM - выполняем следующую команду:
rvm get stable

После успешного обновления менеджера ruby мы увидим следующее:

...
Upgrade of RVM in /Users/user/.rvm/ is complete.
... RVM reloaded! ...

Теперь rvm known list покажет нам наличие версии 2.7:

...
[ruby-]2.4[.9]
[ruby-]2.5[.7]
[ruby-]2.6[.5]
[ruby-]2.7[.0]
ruby-head
...

Это значит, что запуск команды rvm install ruby-2.7 теперь приведет нас к успешной установке.
To Top